<template>
  <div class="ob-spot">
    <div class="ob-spot__content">
      <div class="ob-spot__content_left">
        <div class="ob-content__header">
          <div class="ob-content__header_wrap">
            <slot name="header" />
          </div>
        </div>
        <div class="ob-content__body">
          <slot name="left" />
        </div>
      </div>
      <div class="ob-spot__content_right">
        <slot name="right" />
      </div>
    </div>
  </div>
</template>

<script>
export default {
  name: 'spotPageWrapper'
}
</script>

<style lang="scss" scoped>
@import "~common-components/src/static/css/variables";
@import "~common-components/src/static/css/mixins";

.ob-spot {
  margin: 20px;
  background: $background-white;
  color: $color-text-base;
  border-radius: 3px;
  position: relative;
  width: calc(100% - 40px);

  &__content {
    display: flex;
    width: 100%;
    position: relative;

    &_left {
      width: calc(100% - 316px);
      overflow: hidden;
    }

    &_right {
      width: 316px;
      min-height: calc(100vh - 144px);
      box-shadow: 0 0 2px rgba(0, 75, 200, 0.15),
      0 0 12px rgba(0, 75, 200, 0.04),
      0 4px 10px rgba(0, 75, 200, 0.06);
    }

    .ob-content__header {
      width: 100%;
      min-height: 60px;
      padding: 10px 20px;
      background-color: $background-white;
      box-shadow: 0 0 2px rgba(0, 75, 200, 0.15),
      0 0 12px rgba(0, 75, 200, 0.04),
      0 4px 10px rgba(0, 75, 200, 0.06);

      &_wrap {
        display: flex;
        align-items: center;
        margin-bottom: 8px;
      }
    }

    .ob-content__body {
      padding: 20px;
    }
  }
}
</style>
